Summary: SANE -- Easy local and networked scanner access
Name: sane
Version: 0.73
Release: 1
Copyright: GPL (programs), relaxed LGPL (libraries), and public domain (docs)
Group: X11/Applications/Graphics
Source: ftp://ftp.mostang.com/pub/sane/sane-0.73.tar.gz
Source1: xscanimage.wmconfig
URL: http://www.mostang.com/sane/
BuildRoot: /var/tmp/sane-root
Provides: libsane.so.0

%description
SANE (Scanner Access Now Easy) is a sane and simple interface to both
local and networked scanners and other image acquisition devices like
digital still and video cameras.  SANE currently includes modules for
accessing Epson, HP, Microtek, Mustek, PINT and UMAX scanners, Color
QuickCams, and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, read the saned(1) manpage.

%package devel
Summary: SANE (Scanner Access Now Easy) development toolkit
Group: X11/Applications/Graphics
Requires: sane = %{PACKAGE_VERSION}

%description devel
Static libraries and header files for writing SANE modules.

%changelog
* Thu May 21 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 0.73

* Tue Jan 27 1998 Otto Hammersmith <otto@redhat.com>
- umax drivers were missing from the file list.

* Sun Dec  7 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig
- fixed library problem

* Tue Dec  2 1997 Otto Hammersmith <otto@redhat.com>
- added changelog
- got newer package from Sane web site than our old powertools one

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --sysconfdir=/etc \
	--enable-shared --enable-static
make
make docs -C doc

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc
install -d $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 -o root -g root $RPM_SOURCE_DIR/xscanimage.wmconfig \
	$RPM_BUILD_ROOT/etc/X11/wmconfig/xscanimage

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%files
%config /etc/X11/wmconfig/xscanimage
%config /etc/sane.d/*
%dir /etc/sane.d
/usr/bin/*
/usr/sbin/*
/usr/lib/libsane*.so.*
%doc doc/*.ps doc/icons doc/sane
/usr/man/*/*
%dir /usr/lib/sane
/usr/lib/sane/*.so.*
%doc AUTHORS NEWS PROBLEMS PROJECTS README

%files devel
/usr/include/sane
/usr/lib/libsane*.a
/usr/lib/libsane*.so
/usr/lib/sane/*.a
/usr/lib/sane/*.so
